// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Compiler
//  TYPE:       c++ header
//  PROJECT:    VEGA Base Library
//  CONTENT:    setup for the VEGA Base Library
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:40:13  rft     last modification
//  08-mar-94 18:31:43  rft     created
// ===========================================================================
//  MANUAL:
//
//  DESCRIPTION
//      This module contains all defines that to set the VEGA Base Library up
//      for different compilers.
//
//  SEE ALSO
//      VEGA, BaseLibrary
// ===========================================================================
#ifndef _COMPILER_H_
#define _COMPILER_H_

#ifdef __GNUC__
#  define COMPILER_INLINE_GLOBAL extern inline
#  define COMPILER_INLINE_MEMBER inline
#  define COMPILER_TEMPLATE_CODE_IN_HEADER
#  define INLINE_TEMPLATE inline
#  define CONST_TEMPLATE
#elif __BCPLUSPLUS__
#  define COMPILER_INLINE_GLOBAL inline
#  define COMPILER_INLINE_MEMBER inline
#  define COMPILER_TEMPLATE_CODE_IN_HEADER
#  define INLINE_TEMPLATE inline
#  define CONST_TEMPLATE const
#else
#  define COMPILER_INLINE_GLOBAL inline
#  define COMPILER_INLINE_MEMBER inline
#  define INLINE_TEMPLATE
#  define CONST_TEMPLATE const
#endif

#endif // _COMPILER_H_
// ===========================================================================

