// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       BaseDefines
//  TYPE:       c++ header
//  PROJECT:    VEGA Base Library
//  CONTENT:    setup for the VEGA Base Library
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:40:13  rft     last modification
//  08-mar-94 18:31:43  rft     created
// ===========================================================================
//  MANUAL:
//
//  NAME
//      BaseDefines:
//
//  DESCRIPTION
//      This module contains all defines to set the VEGA Base Library
//      up for different build modes (NORMAL, DEBUG, PROFILE).
//
//  SEE ALSO
//      VEGA, BaseLibrary
// ===========================================================================
#ifndef _BASE_DEFINES_H_
#define _BASE_DEFINES_H_

#include "VEGA/Base/compile.h"

#ifdef DEBUG

#define WITH_CHECKS
#define WITH_TRACERS

#define BOOL_NO_INLINE
#define ERROR_NO_INLINE
#define SYSTEM_NO_INLINE
#define TRACER_NO_INLINE

#endif // DEBUG

#endif // _BASE_DEFINES_H_
// ===========================================================================

