// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       BaseGlobals
//  TYPE:       c++ code
//  PROJECT:    VEGA Base Library
//  CONTENT:    debug support
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:40:13  rft     last modification
//  23-feb-94 10:53:38  rft     created
// ===========================================================================

#include "VEGA/Base/globals.h"

#define LIBRARY_ERRORHANDLER(symbol) \
	ErrorHandler symbol(#symbol)

LIBRARY_ERRORHANDLER(Option_errors);

#ifdef WITH_TRACERS

#define LIBRARY_TRACER(symbol,value,parent) \
	Tracer symbol(#symbol,value,parent)

#define LIBRARY_ROOT_TRACER(symbol,value) \
	Tracer symbol(#symbol,value)


LIBRARY_ROOT_TRACER(VEGA_Base_tracers, Tracer::off);

LIBRARY_TRACER(Option_tracer,		Tracer::on,	VEGA_Base_tracers);

#endif // WITH_TRACERS

// ===========================================================================
