// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       BaseGlobals
//  TYPE:       c++ header
//  PROJECT:    VEGA Base Library
//  CONTENT:    global variables
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:40:13  rft     last modification
//  23-feb-94 10:53:38  rft     created
// ===========================================================================
//  MANUAL:
//
//  NAME
//      BaseGlobals:
//
//  DESCRIPTION
//      This module contains all error handlers and tracers used in the
//      VEGA Base Library.
//
//  SEE ALSO
//      VEGA, BaseLibrary
// ===========================================================================
#ifndef _BASE_GLOBALS_H_
#define _BASE_GLOBALS_H_

#include "VEGA/Base/defines.h"
#include "VEGA/Base/checks.h"
#include "VEGA/Base/error.h"
#include "VEGA/Base/tracer.h"

extern "C++"
{

extern ErrorHandler Option_errors;

#ifdef WITH_TRACERS

extern Tracer VEGA_Base_tracers;

extern Tracer Option_tracer;

#endif // WITH_TRACERS

} // extern "C++"

#endif // _BASE_GLOBALS_H_
// ===========================================================================
