// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Library
//  TYPE:       c++ header
//  PROJECT:    VEGA Base Library
//  CONTENT:    main header for the VEGA Base Library
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:40:13  rft     last modification
//  11-mar-94 18:49:48  rft     created
// ===========================================================================
//  MANUAL:
//
//  NAME
//      BaseLibrary:
//
//  SEE ALSO
//      VEGA,
//      BaseDefines, BaseChecks, BaseGlobals,
//      Bool, Option, Error, Test, Tracer,
// ===========================================================================
#ifndef _BASE_LIBRARY_H_
#define _BASE_LIBRARY_H_

#include "VEGA/Base/defines.h"
#include "VEGA/Base/checks.h"
#include "VEGA/Base/system.h"

#include "VEGA/Base/error.h"
#include "VEGA/Base/tracer.h"

#include "VEGA/Base/globals.h"

#include "VEGA/Base/bool.h"
#include "VEGA/Base/option.h"
#include "VEGA/Base/test.h"

#endif
// ===========================================================================
