// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       BiTrafo3D
//  TYPE:       c++ code
//  PROJECT:    VEGA Graphics Library
//  CONTENT:    bidirectional 3D transformation class
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:08:16  rft     last modification
//  30-mar-94 11:17:03  rft     created
// ===========================================================================

#define BITRAFO3D_NO_INLINE

#include "VEGA/Graphics/bitra3d.h"

#define INLINE_GLOBAL
#define INLINE_MEMBER

#include "VEGA/Graphics/bitra3d.ipp"

//
// We couldn't use Trafo3D::identity, since this is not guaranteed to be
// initialized at this time.
//

const BiTrafo3D BiTrafo3D::identity(Trafo3D(1,0,0,
					    0,1,0,
					    0,0,1,
					    0,0,0),
				    Trafo3D(1,0,0,
				            0,1,0,
					    0,0,1,
					    0,0,0));

// ===========================================================================
