// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Debug
//  TYPE:       c++ header
//  PROJECT:    VEGA Graphics Library
//  CONTENT:    setup for debugging
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:08:16  rft     last modification
//  08-mar-94 18:31:43  rft     created
// ===========================================================================
//  MANUAL:
//
//  NAME
//      GraphicsDefines:
//
//  DESCRIPTION
//      This module contains all defines to set the VEGA Graphics Library
//      up for different build modes (NORMAL, DEBUG, PROFILE).
//
//  SEE ALSO
//      VEGA, GraphicsLibrary
// ===========================================================================
#ifndef _GRAPHICS_DEFINES_H_
#define _GRAPHICS_DEFINES_H_

#ifdef DEBUG

#define BITRAFO3D_NO_INLINE
#define COLOR_NO_INLINE
#define FVEC2D_NO_INLINE
#define FVEC3D_NO_INLINE
#define VEC_NO_INLINE
#define VEC2D_NO_INLINE
#define VEC3D_NO_INLINE

#endif // DEBUG


#endif // _GRAPHICS_DEFINES_H_
// ===========================================================================

