// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       FVec2D
//  TYPE:       c++ code
//  PROJECT:    VEGA Graphics Library
//  CONTENT:    2D vectors, points, and transformations using floats
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:08:16  rft     last modification
//  08-Aug-93           rft     created
// ===========================================================================
#define FVEC2D_NO_INLINE

#include "VEGA/Graphics/fvec2d.h"

#define INLINE_GLOBAL
#define INLINE_MEMBER

#include "VEGA/Graphics/fvec2d.ipp"

const FVec2D FVec2D::baseX(1.0,0.0);
const FVec2D FVec2D::baseY(0.0,1.0);

const FPnt2D FPnt2D::origin(0.0,0.0);

const FScale2D FScale2D::identity(0.0);
const FRot2D FRot2D::identity(0.0,1.0,0.0);
const FShearX2D FShearX2D::identity(0.0);
const FShearY2D FShearY2D::identity(0.0);
const FLin2D FLin2D::identity(1.0,0.0, 0.0,1.0);
const FTrafo2D FTrafo2D::identity(1.0,0.0,
				0.0,1.0,
				0.0,0.0);

// ===========================================================================
