// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       FVec3D
//  TYPE:       c++ code
//  PROJECT:    VEGA Graphics Library
//  CONTENT:    3D vectors, points, and transformations using floats
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:08:16  rft     last modification
//  08-Aug-93           rft     created
// ===========================================================================
#define FVEC3D_NO_INLINE

#include "VEGA/Graphics/fvec3d.h"

#define INLINE_GLOBAL
#define INLINE_MEMBER

#include "VEGA/Graphics/fvec3d.ipp"

const FVec3D FVec3D::baseX(1.0,0.0,0.0);
const FVec3D FVec3D::baseY(0.0,1.0,0.0);
const FVec3D FVec3D::baseZ(0.0,0.0,1.0);

const FPnt3D FPnt3D::origin(0.0,0.0,0.0);

const FScale3D FScale3D::identity(1.0,1.0,1.0);
const FRotX3D FRotX3D::identity(0.0,1.0,0.0);
const FRotY3D FRotY3D::identity(0.0,1.0,0.0);
const FRotZ3D FRotZ3D::identity(0.0,1.0,0.0);
const FShearXZ3D FShearXZ3D::identity(0.0,0.0);
const FShearZX3D FShearZX3D::identity(0.0,0.0);
const FShearYZ3D FShearYZ3D::identity(0.0,0.0);
const FRot3D FRot3D::identity(0.0,0.0,0.0,-1.0);
const FLin3D FLin3D::identity(1.0,0.0,0.0,
			    0.0,1.0,0.0,
			    0.0,0.0,1.0);
const FTrans3D FTrans3D::identity(0.0,0.0,0.0);
const FTrafo3D FTrafo3D::identity(1.0,0.0,0.0,
				0.0,1.0,0.0,
				0.0,0.0,1.0,
				0.0,0.0,0.0);

// ===========================================================================
