// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Library
//  TYPE:       c++ header
//  PROJECT:    VEGA Graphics Library
//  CONTENT:    main header for the VEGA Graphics Library
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:08:16  rft     last modification
//  11-mar-94 18:49:48  rft     created
// ===========================================================================
//  MANUAL:
//
//  NAME
//      GraphicsLibrary:
//
//  SEE ALSO
//      VEGA,
//      GraphicsDefines, GraphicsGlobals
//      Color, Vec2D, Vec3D, FVec2D, FVec3D, Vec, BiTrafo3D
//
// ===========================================================================
#ifndef _GRAPHICS_LIBRARY_H_
#define _GRAPHICS_LIBRARY_H_

#include "VEGA/Graphics/defines.h"
#include "VEGA/Graphics/globals.h"

#include "VEGA/Graphics/color.h"
#include "VEGA/Graphics/vec2d.h"
#include "VEGA/Graphics/vec3d.h"
#include "VEGA/Graphics/fvec2d.h"
#include "VEGA/Graphics/fvec3d.h"
#include "VEGA/Graphics/vec.h"
#include "VEGA/Graphics/bitra3d.h"

#endif
// ===========================================================================
