#!/usr/local/bin/gnumake -s
## ===========================================================================
##  no copyright
## ===========================================================================
##  NAME:       Makefile
##  TYPE:       makefile
##  PROJECT:    VEGA Graphics Library
##  CONTENT:    Makefile for the VEGA Graphics Library
##  VERSION:    1.0.0
## ===========================================================================
##  AUTHORS:    rft     Robert F. Tobler
## ===========================================================================
##  HISTORY:
##
##  30-sep-94 14:08:16  rft     last modification
##  07-Aug-93           rft     created
## ===========================================================================
##  DESCRIPTION:
##
##  This makefile uses the Advanced Makefile System (AMS). In AMS_DIR
##  (../../../AMS) you will find a template makefile for AMS projects.
## ===========================================================================
include $(AMS_DIR)/config/$(AMS_CONFIG)
## ===========================================================================
VEGA_LIB_DIR =		$(VEGA_DIR)/lib
VEGA_INCLUDE_DIR =	$(VEGA_DIR)/include
VEGA_LIBRARY_DIR =	$(VEGA_LIB_DIR)/$(MODE_DIR)
## -------------------------------------------------------------- project name
PROJECT =               VEGA Graphics Library
## ------------------------------------------------------------ c++ files (.C)
CC_FILES =              BiTrafo3D.C \
			Color.C \
			FVec2D.C \
			FVec3D.C \
			Globals.C \
			Vec.C \
			Vec2D.C \
			Vec3D.C
## -------------------------------------------------------- user defined flags
USER_CC_O_FLAGS =       -I$(VEGA_INCLUDE_DIR)
## ------------------------------------------------------ output specification
OUT_DIR =               $(VEGA_LIB_DIR)
OUT_NAME =              VEGAGraphics
OUT_EXT =               $(LIB_EXT)
## ----------------------------------------------------- archive specification
ARCHIVE_FROM_DIR =      ../../..
ARCHIVE_THESE =         Libraries/Graphics
ARCHIVE_NAME =          Graphics
## ----------------------------------------------------- install specification
INCLUDE_DIR =           /usr/local/include/VEGA/Graphics
LIBRARY_DIR =           /usr/local/lib
MANPAGE_DIR =           $(VEGA_MANPAGE_DIR)
## ===========================================================================
include $(AMS_DIR)/general
## ===========================================================================
