// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Vec3D
//  TYPE:       c++ code
//  PROJECT:    VEGA Graphics Library
//  CONTENT:    3D vectors, points, and transformations using doubles
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:08:16  rft     last modification
//  08-Aug-93           rft     created
// ===========================================================================
#define VEC3D_NO_INLINE

#include "VEGA/Graphics/vec3d.h"

#define INLINE_GLOBAL
#define INLINE_MEMBER

#include "VEGA/Graphics/vec3d.ipp"

const Vec3D Vec3D::baseX(1.0,0.0,0.0);
const Vec3D Vec3D::baseY(0.0,1.0,0.0);
const Vec3D Vec3D::baseZ(0.0,0.0,1.0);

const Pnt3D Pnt3D::origin(0.0,0.0,0.0);

const Scale3D Scale3D::identity(1.0,1.0,1.0);
const RotX3D RotX3D::identity(0.0,1.0,0.0);
const RotY3D RotY3D::identity(0.0,1.0,0.0);
const RotZ3D RotZ3D::identity(0.0,1.0,0.0);
const ShearXY3D ShearXY3D::identity(0.0,0.0);
const ShearZX3D ShearZX3D::identity(0.0,0.0);
const ShearYZ3D ShearYZ3D::identity(0.0,0.0);
const Rot3D Rot3D::identity(0.0,0.0,0.0,-1.0);
const Lin3D Lin3D::identity(1.0,0.0,0.0,
			    0.0,1.0,0.0,
			    0.0,0.0,1.0);
const Trans3D Trans3D::identity(0.0,0.0,0.0);
const Trafo3D Trafo3D::identity(1.0,0.0,0.0,
				0.0,1.0,0.0,
				0.0,0.0,1.0,
				0.0,0.0,0.0);

// ===========================================================================
