// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       SysDOS_BCC
//  TYPE:       c++ header
//  PROJECT:    VEGA Base Library
//  CONTENT:    system data types for usage with DOS and BCC
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:40:13  rft     last modification
//  10-Feb-93           rft     created
// ===========================================================================
//  MANUAL:
//
//  DESCRIPTION
//      This module defines the system types as appropriate for use on a
//      computer running DOS and BCC.
//
//  SEE ALSO
//      VEGA, BaseLibrary
// ===========================================================================
#ifndef _BASE_SYSDOSBCC_H_
#define _BASE_SYSDOSBCC_H_

// -------------------------------------------------------- fixed length types

#define INT8_NUMBITS            8
typedef char			Int8;
typedef unsigned char           UInt8;

#define INT16_NUMBITS           16
typedef int			Int16;
typedef unsigned int		UInt16;

#define INT32_NUMBITS           32
typedef long			Int32;
typedef unsigned long           UInt32;

#endif // _BASE_SYSDOSBCC_H_
// ===========================================================================
