// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       SysNEXT
//  TYPE:       c++ header
//  PROJECT:    VEGA Base Library
//  CONTENT:    system data types for usage with the NeXT
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:40:13  rft     last modification
//  10-Feb-93           rft     created
// ===========================================================================
//  MANUAL:
//
//  DESCRIPTION
//      This module defines the system types as appropriate for use on a
//      computer running NeXTStep.
//
//  SEE ALSO
//      VEGA, BaseLibrary
// ===========================================================================
#ifndef _BASE_SYSNEXT_H_
#define _BASE_SYSNEXT_H_

// -------------------------------------------------------- fixed length types

#define INT8_NUMBITS            8
typedef signed char             Int8;
typedef unsigned char           UInt8;

#define INT16_NUMBITS           16
typedef signed short            Int16;
typedef unsigned short          UInt16;

#define INT32_NUMBITS           32
typedef signed long             Int32;
typedef unsigned long           UInt32;

#define INT64_NUMBITS           64
typedef signed long long        Int64;
typedef unsigned long long      UInt64;

#define LONGLONG

#endif // _BASE_SYSNEXT_H_
// ===========================================================================
