// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Tracer
//  TYPE:       c++ code
//  PROJECT:    VEGA Base Library
//  CONTENT:    tracers which vanish if WITH_TRACERS isn't defined
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:40:13  rft     last modification
//  15-Jul-93           rft     created
// ===========================================================================
#define TRACER_NO_INLINE

#include "VEGA/Base/Tracer.h"

#define INLINE_GLOBAL
#define INLINE_MEMBER

#include "VEGA/Base/Tracer.I"

ostream * Tracer::commonStream = &cerr;

Tracer mainTrace("mainTrace",Tracer::on);

int Tracer::isOn()
{
    if (parentTracer != 0)
	return (state == on && parentTracer->isOn());
    else
	return (state == on);
}

ostream & Tracer::getStream()
{
    if (localStream != 0)
        return *localStream;
    else if (parentTracer != 0)
	return parentTracer->getStream();
    else
        return *commonStream;
}


// ===========================================================================
