// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       LibraryTest
//  TYPE:       c++ code
//  PROJECT:    VEGA Base Library
//  CONTENT:    VEGA Base Library Test
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:43:08  rft     last modification
//  30-sep-94 13:43:08  rft     created
// ===========================================================================

extern "C"
{
#include <string.h>
}

#include <VEGA/Base/Library.h>

void testSystem(TestSuite & suite);

Bool allTests = Bool::yes;

int doTest(const OptionString & option, const char * name)
{
    return (isTrue(allTests) || strcmp(option.getValue(), name) == 0);
}

int main(int argc, char * argv[])
{
    OptionString        singleOpt("single", "s");
    TR_CODE(OptionFlag debugOpt("debug", "d"));

    Option::parse(argc,argv);

    TR_CODE(if (debugOpt.isSpecified()) TR_ON(VEGA_Base_tracers));

    TestSuite suite("VEGA Base Library");
    
    if (singleOpt.isSpecified()) allTests = Bool::no;
    
    if (doTest(singleOpt,"System"))		testSystem(suite);

    TR_CODE(if (debugOpt.isSpecified()) TR_OFF(VEGA_Base_tracers));

    return (0);
}
