// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       testSystem
//  TYPE:       c++ inline
//  PROJECT:    VEGA Base Library
//  CONTENT:    test the System module
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:43:08  rft     last modification
//  30-sep-94 13:43:08  rft     created
// ===========================================================================

#ifdef SGI
#define inline
#endif

template<class T>
INLINE_TEMPLATE int bitSize(T)
{
    int size = 0;
    for (VeryLong bitMask = 1; (VeryLong)((T)bitMask) != 0; bitMask <<= 1)
    {
        size++;
    }
    return size;
};

template<class T>
INLINE_TEMPLATE int signBit(T)
{
    int size = 0;
    for (VeryLong bitMask = 1; (VeryLong)((T)bitMask) > 0; bitMask <<= 1)
    {
        size++;
    }
    return size;
};

#ifdef SGI
#undef inline
#endif

