// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Globals
//  TYPE:       c++ code
//  PROJECT:    VEGA Graphics Library
//  CONTENT:    debug support
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:08:16  rft     last modification
//  23-feb-94 10:53:38  rft     created
// ===========================================================================

#include "VEGA/Graphics/Globals.h"

#define LIBRARY_TRACER(symbol,value,parent) \
	Tracer symbol(#symbol,value,parent)

#define LIBRARY_ROOT_TRACER(symbol,value) \
	Tracer symbol(#symbol,value)

#define LIBRARY_ERRORHANDLER(symbol) \
	ErrorHandler symbol(#symbol)

LIBRARY_ERRORHANDLER(Vec2D_errors);
LIBRARY_ERRORHANDLER(Vec3D_errors);
LIBRARY_ERRORHANDLER(FVec2D_errors);
LIBRARY_ERRORHANDLER(FVec3D_errors);

#ifdef WITH_TRACERS

LIBRARY_ROOT_TRACER(VEGA_Graphics_tracers, Tracer::off);

LIBRARY_TRACER(Vec2D_constructors,	Tracer::on, VEGA_Graphics_tracers);
LIBRARY_TRACER(Vec3D_constructors,	Tracer::on, VEGA_Graphics_tracers);
LIBRARY_TRACER(FVec2D_constructors,     Tracer::on, VEGA_Graphics_tracers);
LIBRARY_TRACER(FVec3D_constructors,	Tracer::on, VEGA_Graphics_tracers);

#endif // WITH_TRACERS

// ===========================================================================
