// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Globals
//  TYPE:       c++ header
//  PROJECT:    VEGA Graphics Library
//  CONTENT:    global variables
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:08:16  rft     last modification
//  23-feb-94 10:53:38  rft     created
// ===========================================================================
//  MANUAL:
//
//  NAME
//      GraphicsGlobals:
//
//  DESCRIPTION
//      This module contains all error handlers and tracers used in the
//      VEGA Graphics Library.
//
//  SEE ALSO
//      VEGA, GraphicsLibrary
// ===========================================================================
#ifndef _GRAPHICS_GLOBALS_H_
#define _GRAPHICS_GLOBALS_H_

#include "VEGA/Base/Compiler.h"
#include "VEGA/Base/Error.h"
#include "VEGA/Base/Tracer.h"

#include "VEGA/Graphics/Defines.h"

extern "C++"
{

extern ErrorHandler Vec2D_errors;
extern ErrorHandler Vec3D_errors;
extern ErrorHandler FVec2D_errors;
extern ErrorHandler FVec3D_errors;

#ifdef WITH_TRACERS

extern Tracer VEGA_Graphics_tracers;

extern Tracer Vec2D_constructors;
extern Tracer Vec3D_constructors;
extern Tracer FVec2D_constructors;
extern Tracer FVec3D_constructors;

#endif // WITH_TRACERS

} // extern "C++"

#endif // _GRAPHICS_GLOBALS_H_
// ===========================================================================
