// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Vec2D
//  TYPE:       c++ code
//  PROJECT:    VEGA Graphics Library
//  CONTENT:    2D vectors, points, and transformations using doubles
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:08:16  rft     last modification
//  08-Aug-93           rft     created
// ===========================================================================
#define VEC2D_NO_INLINE

#include "VEGA/Graphics/Vec2D.h"

#define INLINE_GLOBAL
#define INLINE_MEMBER

#include "VEGA/Graphics/Vec2D.I"

const Vec2D Vec2D::baseX(1.0,0.0);
const Vec2D Vec2D::baseY(0.0,1.0);

const Pnt2D Pnt2D::origin(0.0,0.0);

const Scale2D Scale2D::identity(0.0);
const Rot2D Rot2D::identity(0.0,1.0,0.0);
const ShearX2D ShearX2D::identity(0.0);
const ShearY2D ShearY2D::identity(0.0);
const Lin2D Lin2D::identity(1.0,0.0, 0.0,1.0);
const Trafo2D Trafo2D::identity(1.0,0.0,
				0.0,1.0,
				0.0,0.0);

// ===========================================================================
