// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Checks
//  TYPE:       c++ header
//  PROJECT:    VEGA Math Library
//  CONTENT:    check macros
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:06:28  rft     last modification
//  08-mar-94 18:31:43  rft     created
// ===========================================================================
//  MANUAL:
//
//  NAME
//      MathChecks:
//
//  DESCRIPTION
//      Similar to the general CH_CODE(code) macro this module defines a
//      number of macros for inserting check code into specific other
//      modules.
//
//  SEE ALSO
//      VEGA, MathLibrary
// ===========================================================================
#ifndef _MATH_CHECKS_H_
#define _MATH_CHECKS_H_

#include "VEGA/Math/Defines.h"

#ifdef WITH_CRD2_CHECKS
#define CH_CRD2_CODE(code)        code
#else
#define CH_CRD2_CODE(code)
#endif

#ifdef WITH_CRD3_CHECKS
#define CH_CRD3_CODE(code)        code
#else
#define CH_CRD3_CODE(code)
#endif

#ifdef WITH_CRD4_CHECKS
#define CH_CRD4_CODE(code)        code
#else
#define CH_CRD4_CODE(code)
#endif

#ifdef WITH_FCRD2_CHECKS
#define CH_FCRD2_CODE(code)        code
#else
#define CH_FCRD2_CODE(code)
#endif

#ifdef WITH_FCRD3_CHECKS
#define CH_FCRD3_CODE(code)        code
#else
#define CH_FCRD3_CODE(code)
#endif

#ifdef WITH_FCRD4_CHECKS
#define CH_FCRD4_CODE(code)        code
#else
#define CH_FCRD4_CODE(code)
#endif

#ifdef WITH_FVECTORN_CHECKS
#define CH_FVECTORN_CODE(code)        code
#else
#define CH_FVECTORN_CODE(code)
#endif

#ifdef WITH_IVECTORN_CHECKS
#define CH_IVECTORN_CODE(code)        code
#else
#define CH_IVECTORN_CODE(code)
#endif

#ifdef WITH_VECTORN_CHECKS
#define CH_VECTORN_CODE(code)        code
#else
#define CH_VECTORN_CODE(code)
#endif

#endif // _MATH_CHECKS_H_
// ===========================================================================
