// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Crd3
//  TYPE:       c++ code
//  PROJECT:    VEGA Math Library
//  CONTENT:    base types for 3D coordinate manipulation using doubles
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:06:28  rft     last modification
//  08-Aug-93           rft     created
// ===========================================================================
#define CRD3_NO_INLINE

#include "VEGA/Math/Crd3.h"

#define INLINE_GLOBAL
#define INLINE_MEMBER

#include "VEGA/Math/Crd3.I"

const Crd3 Crd3::base0(1.0, 0.0, 0.0);
const Crd3 Crd3::base1(0.0, 1.0, 0.0);
const Crd3 Crd3::base2(0.0, 0.0, 1.0);

const Mat3 Mat3::identity(1.0, 0.0, 0.0,
			  0.0, 1.0, 0.0,
			  0.0, 0.0, 1.0);

// ===========================================================================
