// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       FCrd2
//  TYPE:       c++ code
//  PROJECT:    VEGA Math Library
//  CONTENT:    base types for 2D coordinate manipulation using floats
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:06:28  rft     last modification
//  30-mar-94 10:30:36  rft     created
// ===========================================================================
#define CRD2_NO_INLINE

#include "VEGA/Math/FCrd2.h"

#define INLINE_GLOBAL
#define INLINE_MEMBER

#include "VEGA/Math/FCrd2.I"

const FCrd2 FCrd2::base0(1.0, 0.0);
const FCrd2 FCrd2::base1(0.0, 1.0);

const FMat2 FMat2::identity(1.0, 0.0,
			  0.0, 1.0);

// ===========================================================================
