// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Globals
//  TYPE:       c++ header
//  PROJECT:    VEGA Math Library
//  CONTENT:    global variables
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:06:28  rft     last modification
//  23-feb-94 10:53:38  rft     created
// ===========================================================================
//  MANUAL:
//
//  NAME
//      MathGlobals:
//
//  DESCRIPTION
//      This module contains all error handlers and tracers used in the
//      VEGA Math Library.
//
//  SEE ALSO
//      VEGA, MathLibrary
// ===========================================================================
#ifndef _MATH_GLOBALS_H_
#define _MATH_GLOBALS_H_

#include <VEGA/Base/Compiler.h>
#include <VEGA/Base/Error.h>
#include <VEGA/Base/Tracer.h>

#include "VEGA/Math/Defines.h"
#include "VEGA/Math/Checks.h"

extern ErrorHandler Crd2_errors;
extern ErrorHandler Crd3_errors;
extern ErrorHandler Crd4_errors;
extern ErrorHandler FCrd2_errors;
extern ErrorHandler FCrd3_errors;
extern ErrorHandler FCrd4_errors;
extern ErrorHandler FVectorN_errors;
extern ErrorHandler IVectorN_errors;
extern ErrorHandler SimplePolynomial_errors;
extern ErrorHandler VectorN_errors;

#ifdef WITH_TRACERS

extern Tracer VEGA_Math_tracers;

extern Tracer Crd2_constructors;
extern Tracer Crd3_constructors;
extern Tracer Crd4_constructors;
extern Tracer FCrd2_constructors;
extern Tracer FCrd3_constructors;
extern Tracer FCrd4_constructors;
extern Tracer Math_tracer;

#endif // WITH_TRACERS

#endif // _MATH_GLOBALS_H_
// ===========================================================================
