// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Library
//  TYPE:       c++ header
//  PROJECT:    VEGA Math Library
//  CONTENT:    main header for the VEGA Math Library
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:06:28  rft     last modification
//  11-mar-94 18:49:48  rft     created
// ===========================================================================
//  MANUAL:
//
//  NAME
//      MathLibrary:
//
//  SEE ALSO
//      VEGA,
//      MathDefines, MathChecks, MathGlobals,
//      Math, Crd2, Crd3, Crd4, FCrd2, FCrd3, FCrd4,
//      SimpleFunction, SimplePolynomial
// ===========================================================================
#ifndef _MATH_LIBRARY_H_
#define _MATH_LIBRARY_H_

#include "VEGA/Math/Defines.h"
#include "VEGA/Math/Checks.h"
#include "VEGA/Math/Globals.h"
#include "VEGA/Math/Math.h"
#include "VEGA/Math/Crd2.h"
#include "VEGA/Math/Crd3.h"
#include "VEGA/Math/Crd4.h"
#include "VEGA/Math/FCrd2.h"
#include "VEGA/Math/FCrd3.h"
#include "VEGA/Math/FCrd4.h"
#include "VEGA/Math/SimpleFunction.h"
#include "VEGA/Math/SimplePolynomial.h"

#endif
// ===========================================================================
