// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Simple Function
//  TYPE:       c++ header
//  PROJECT:    VEGA Math Library
//  CONTENT:    scalar function of scalar argument
//  VERSION:    0.1.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:06:28  rft     last modification
//  29-apr-94 22:34:20  rft     created
// ===========================================================================
//  MANUAL:
//
//  DESCRIPTION
//      Scalar Functions of scalar arguments
//
//  SEE ALSO
//      VEGA, MathLibrary
// ===========================================================================
#ifndef _MATH_SIMPLEFUNCTION_H_
#define _MATH_SIMPLEFUNCTION_H_

#include "VEGA/Math/Globals.h"

#ifdef __GNUC__
#pragma interface
#endif

extern "C++"
{

// ====================================================== class SimpleFunction

class SimpleFunction
{
public:
    SimpleFunction(
	);

    virtual ~SimpleFunction(
	);

    virtual double evaluateAt(
	double x
	) = 0;

    double operator()(
	double x
	);
};

} // extern "C++"

#ifndef SIMPLEFUNCTION_NO_INLINE

#define INLINE_GLOBAL COMPILER_INLINE_GLOBAL
#define INLINE_MEMBER COMPILER_INLINE_MEMBER

#include "VEGA/Math/SimpleFunction.I"

#undef INLINE_GLOBAL
#undef INLINE_MEMBER

#endif

#endif // _SIMPLEFUNCTION_H_
// ===========================================================================
