// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       TTools
//  TYPE:       c++ header
//  PROJECT:    VEGA Misc Library
//  CONTENT:    template tools
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:46:16  rft     last modification
//  16-Mar-93           rft     created
// ===========================================================================
//  MANUAL:
//
//  DESCRIPTION
//      This module contains tool functions working on the system data types.
//
//  SEE ALSO
//      VEGA, MiscLibrary
// ===========================================================================
#ifndef _MISC_TTOOLS_H_
#define _MISC_TTOOLS_H_

#include "VEGA/Misc/Globals.h"

extern "C++"
{

// ============================================================== memory tools

template<class T>
void copy(
        const T* srcPtr,
        int number,
        T* dstPtr
        );

template<class T>
void copyDuff(
        const T* srcPtr,
        int number,
        T* dstPtr
        );

template<class T>
void copyAndPermute(
        const T* srcPtr,
        int number,
	const int * permutation,
        T* dstPtr
        );

template<class T>
int isEqual(
        const T* onePtr,
        int number,
        const T* twoPtr
        );

template<class T>
int isEqualDuff(
        const T* onePtr,
        int number,
        const T* twoPtr
        );

template<class T>
void swap(
        T* onePtr,
        int number,
        T* twoPtr
        );

template<class T>
void swapDuff(
        T* onePtr,
        int number,
        T* twoPtr
        );

template<class T>
void swap(
        T& a,
        T& b
        );

template<class T>
void sort3ascending(
        T* array
        );

template<class T>
int mergeAscending(
        const T * ptr1,
        int n1,
        const T * ptr2,
        int n2,
        T* ptr
        );

} // extern "C++"

#ifdef COMPILER_TEMPLATE_CODE_IN_HEADER
#include "VEGA/Misc/TTools.I"
#endif

#endif // _MISC_TTOOLS_H_
// ===========================================================================
