// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Tools
//  TYPE:       c++ inline
//  PROJECT:    VEGA Misc Library
//  CONTENT:    tools for integer and pointer system data types
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:46:16  rft     last modification
//  16-Mar-93           rft     created
// ===========================================================================

extern "C++"
{

INLINE_GLOBAL short  abs(short  a) { return (a >= 0 ? a : -a); }

INLINE_GLOBAL long   abs(long   a) { return (a >= 0 ? a : -a); }

INLINE_GLOBAL short  max(short  a, short  b) { return (a >= b ? a : b); }
INLINE_GLOBAL int    max(int    a, int    b) { return (a >= b ? a : b); }
INLINE_GLOBAL long   max(long   a, long   b) { return (a >= b ? a : b); }

INLINE_GLOBAL short  min(short  a, short  b) { return (a <= b ? a : b); }
INLINE_GLOBAL int    min(int    a, int    b) { return (a <= b ? a : b); }
INLINE_GLOBAL long   min(long   a, long   b) { return (a <= b ? a : b); }

INLINE_GLOBAL short  clamp(short a, short lo, short hi)
{
    if (a < lo)
    	return lo;
    else if (a > hi)
    	return hi;
    else
    	return a;
}

INLINE_GLOBAL int    clamp(int   a, int   lo, int   hi)
{
    if (a < lo)
    	return lo;
    else if (a > hi)
    	return hi;
    else
    	return a;
}

INLINE_GLOBAL long   clamp(long  a, long  lo, long  hi)
{
    if (a < lo)
    	return lo;
    else if (a > hi)
    	return hi;
    else
    	return a;
}

} // extern "C++"

// ===========================================================================
