// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       LibraryTest
//  TYPE:       c++ code
//  PROJECT:    VEGA Misc Library
//  CONTENT:    VEGA Misc Library Test
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:04:35  rft     last modification
//  30-sep-94 14:04:35  rft     created
// ===========================================================================

extern "C"
{
#include <string.h>
}

#include <VEGA/Base/Test.h>
#include <VEGA/Base/Option.h>
#include <VEGA/Misc/Globals.h>

void testCrc32(TestSuite & suite);
void testTTools(TestSuite & suite);

Bool allTests = Bool::yes;

int doTest(const OptionString & option, const char * name)
{
    return (isTrue(allTests) || strcmp(option.getValue(), name) == 0);
}

int main(int argc, char * argv[])
{
    OptionString        singleOpt("single",     "s");
    TR_CODE(OptionFlag debugOpt("debug",         "d"));

    Option::parse(argc,argv);

    TR_CODE(if (debugOpt.isSpecified()) TR_ON(VEGA_Misc_tracers));

    TestSuite suite("VEGA Misc Library");
    
    if (singleOpt.isSpecified()) allTests = Bool::no;
    
    if (doTest(singleOpt,"Crc32"))		testCrc32(suite);
    if (doTest(singleOpt,"TTools"))		testTTools(suite);

    TR_CODE(if (debugOpt.isSpecified()) TR_OFF(VEGA_Misc_tracers));

    return (0);
}
