// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       testTTools
//  TYPE:       c++ code
//  PROJECT:    VEGA Misc Library
//  CONTENT:    test module TTools
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:04:35  rft     last modification
//  30-sep-94 14:04:35  rft     created
// ===========================================================================

extern "C"
{
#include <string.h>
}

#include <VEGA/Base/Test.h>
#include <VEGA/Misc/TTools.h>

#ifdef __GNUC__
#define CONST_CHAR_PTR char *
#else
#define CONST_CHAR_PTR const char *
#endif

void testTTools(TestSuite & suite)
{
    TestModule module(suite, "TTools");

    const char * testString = "0123456789ABCDEF";
    char copiedString[16];

    copy((CONST_CHAR_PTR)testString,16,copiedString);
    module.test("copy",strncmp(testString,copiedString,16) == 0);

    
    strncpy(copiedString,testString,16);
    module.test("isEqual",isEqual(
	(CONST_CHAR_PTR)testString,
	16,
	(CONST_CHAR_PTR)copiedString));


    Test sort3ascendingTest(module, "sort3ascending", Test::passed);

    static const char * threeCharsTable[] =
    {
       "ABC", "ACB", "BAC", "BCA", "CAB", "CBA"
    };
    
    char threeChars[3];
    
    for (int i = 0; i < 6; i++)
    {
        copy((CONST_CHAR_PTR)threeCharsTable[i],3,threeChars);
	sort3ascending(threeChars);
        if (! isEqual((CONST_CHAR_PTR)threeChars,3,(CONST_CHAR_PTR)"ABC"))
	    sort3ascendingTest.setFailed();
    }
}
