// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Crd4
//  TYPE:       c++ code
//  PROJECT:    VEGA Math Library
//  CONTENT:    base types for 4D coordinate manipulation using doubles
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:06:28  rft     last modification
//  25-mar-94 23:09:46  rft     created
// ===========================================================================
#define CRD4_NO_INLINE

#include "VEGA/Math/crd4.h"

#define INLINE_GLOBAL
#define INLINE_MEMBER

#include "VEGA/Math/crd4.ipp"

const Crd4 Crd4::base0(1.0, 0.0, 0.0, 0.0);
const Crd4 Crd4::base1(0.0, 1.0, 0.0, 0.0);
const Crd4 Crd4::base2(0.0, 0.0, 1.0, 0.0);
const Crd4 Crd4::base3(0.0, 0.0, 0.0, 1.0);

const Mat4 Mat4::identity(1.0, 0.0, 0.0, 0.0,
			  0.0, 1.0, 0.0, 0.0,
			  0.0, 0.0, 1.0, 0.0,
			  0.0, 0.0, 0.0, 1.0);

// ===========================================================================
