// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Defines
//  TYPE:       c++ header
//  PROJECT:    VEGA Math Library
//  CONTENT:    setup for the VEGA Math Library
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:06:28  rft     last modification
//  08-mar-94 18:31:43  rft     created
// ===========================================================================
//  MANUAL:
//
//  NAME
//      MathDefines:
//
//  DESCRIPTION
//      This module contains all defines to set the VEGA Math Library
//      up for different build modes (NORMAL, DEBUG, PROFILE).
//
//  SEE ALSO
//      VEGA, MathLibrary
// ===========================================================================
#ifndef _MATH_DEFINES_H_
#define _MATH_DEFINES_H_

#ifdef DEBUG

#define WITH_CRD2_CHECKS
#define WITH_CRD3_CHECKS
#define WITH_CRD4_CHECKS
#define WITH_FCRD2_CHECKS
#define WITH_FCRD3_CHECKS
#define WITH_FCRD4_CHECKS
#define WITH_FVECTORN_CHECKS
#define WITH_IVECTORN_CHECKS
#define WITH_VECTORN_CHECKS

#define CRD2_NO_INLINE
#define CRD3_NO_INLINE
#define CRD4_NO_INLINE
#define FCRD2_NO_INLINE
#define FCRD3_NO_INLINE
#define FCRD4_NO_INLINE
#define FVECTORN1_NO_INLINE
#define FVECTORN2_NO_INLINE
#define IVECTORN1_NO_INLINE
#define IVECTORN2_NO_INLINE
#define MATH_NO_INLINE
#define SIMPLEFUNCTION_NO_INLINE
#define VECTORN1_NO_INLINE
#define VECTORN2_NO_INLINE

#endif // DEBUG


#endif // _MATH_DEFINES_H_
// ===========================================================================

