// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Library
//  TYPE:       c++ code
//  PROJECT:    VEGA Math Library
//  CONTENT:    debug support
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:06:28  rft     last modification
//  23-feb-94 10:53:38  rft     created
// ===========================================================================

#include "VEGA/Math/globals.h"

#define LIBRARY_TRACER(symbol,value,parent) \
	Tracer symbol(#symbol,value,parent)

#define LIBRARY_ROOT_TRACER(symbol,value) \
	Tracer symbol(#symbol,value)

#define LIBRARY_ERRORHANDLER(symbol) \
	ErrorHandler symbol(#symbol)

LIBRARY_ERRORHANDLER(Crd2_errors);
LIBRARY_ERRORHANDLER(Crd3_errors);
LIBRARY_ERRORHANDLER(Crd4_errors);
LIBRARY_ERRORHANDLER(FCrd2_errors);
LIBRARY_ERRORHANDLER(FCrd3_errors);
LIBRARY_ERRORHANDLER(FCrd4_errors);
LIBRARY_ERRORHANDLER(FVectorN_errors);
LIBRARY_ERRORHANDLER(IVectorN_errors);
LIBRARY_ERRORHANDLER(SimplePolynomial_errors);
LIBRARY_ERRORHANDLER(VectorN_errors);

LIBRARY_ROOT_TRACER(VEGA_Math_tracers,	Tracer::off);

LIBRARY_TRACER(Crd2_constructors,       Tracer::on,	VEGA_Math_tracers);
LIBRARY_TRACER(Crd3_constructors,       Tracer::on,	VEGA_Math_tracers);
LIBRARY_TRACER(Crd4_constructors,       Tracer::on,	VEGA_Math_tracers);
LIBRARY_TRACER(FCrd2_constructors,      Tracer::on,	VEGA_Math_tracers);
LIBRARY_TRACER(FCrd3_constructors,      Tracer::on,	VEGA_Math_tracers);
LIBRARY_TRACER(FCrd4_constructors,      Tracer::on,	VEGA_Math_tracers);
LIBRARY_TRACER(Math_tracer,		Tracer::on,	VEGA_Math_tracers);

// ===========================================================================
