// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Library
//  TYPE:       c++ header
//  PROJECT:    VEGA Math Library
//  CONTENT:    main header for the VEGA Math Library
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:06:28  rft     last modification
//  11-mar-94 18:49:48  rft     created
// ===========================================================================
//  MANUAL:
//
//  NAME
//      MathLibrary:
//
//  SEE ALSO
//      VEGA,
//      MathDefines, MathChecks, MathGlobals,
//      Math, Crd2, Crd3, Crd4, FCrd2, FCrd3, FCrd4,
//      SimpleFunction, SimplePolynomial
// ===========================================================================
#ifndef _MATH_LIBRARY_H_
#define _MATH_LIBRARY_H_

#include "VEGA/Math/defines.h"
#include "VEGA/Math/checks.h"
#include "VEGA/Math/globals.h"
#include "VEGA/Math/math.h"
#include "VEGA/Math/crd2.h"
#include "VEGA/Math/crd3.h"
#include "VEGA/Math/crd4.h"
#include "VEGA/Math/fcrd2.h"
#include "VEGA/Math/fcrd3.h"
#include "VEGA/Math/fcrd4.h"
#include "VEGA/Math/smplfun.h"
#include "VEGA/Math/smplpol.h"

#endif
// ===========================================================================
