#!/usr/local/bin/gnumake -s
## ===========================================================================
##  no copyright
## ===========================================================================
##  NAME:       Makefile
##  TYPE:       makefile
##  PROJECT:    VEGA Math Library
##  CONTENT:    Makefile for the VEGA Math Library
##  VERSION:    1.0.0
## ===========================================================================
##  AUTHORS:    rft     Robert F. Tobler
## ===========================================================================
##  HISTORY:
##
##  30-sep-94 14:06:28  rft     last modification
##  07-Aug-93           rft     created
## ===========================================================================
##  DESCRIPTION:
##
##  This makefile uses the Advanced Makefile System (AMS). In AMS_DIR
##  (../../../AMS) you will find a template makefile for AMS projects.
## ===========================================================================
include $(AMS_DIR)/config/$(AMS_CONFIG)
## ===========================================================================
VEGA_LIB_DIR =		$(VEGA_DIR)/lib
VEGA_INCLUDE_DIR =	$(VEGA_DIR)/include
VEGA_LIBRARY_DIR =	$(VEGA_LIB_DIR)/$(MODE_DIR)
## -------------------------------------------------------------- project name
PROJECT =               VEGA Math Library
## ------------------------------------------------------------ c++ files (.C)
CC_FILES =              \
			Crd2.C \
                        Crd3.C \
                        Crd4.C \
			FCrd2.C \
			FCrd3.C \
			FCrd4.C \
			FVectorN.C \
			IVectorN.C \
                        Globals.C \
                        Math.C \
			SimpleFunction.C \
                        SimplePolynomial.C \
			VectorN.C \

## -------------------------------------------------------- user defined flags
USER_CC_O_FLAGS =	-I$(VEGA_INCLUDE_DIR)
## ------------------------------------------------------ output specification
OUT_DIR =               $(VEGA_LIB_DIR)
OUT_NAME =              VEGAMath
OUT_EXT =               $(LIB_EXT)
## ----------------------------------------------------- archive specification
ARCHIVE_FROM_DIR =	../../..
ARCHIVE_THESE =		Libraries/Math
ARCHIVE_NAME =		Math
## ----------------------------------------------------- install specification
INCLUDE_DIR =		/usr/local/include/VEGA/Math
LIBRARY_DIR =		/usr/local/lib
MANPAGE_DIR =		$(VEGA_MANPAGE_DIR)
## ===========================================================================
include $(AMS_DIR)/general
## ===========================================================================
