// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Bits
//  TYPE:       c++ header
//  PROJECT:    VEGA Base Library
//  CONTENT:    bit manipulation routines
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:46:16  rft     last modification
//  10-aug-94 11:52:39  rft     created
// ===========================================================================
#ifndef _MISC_BITS_H_
#define _MISC_BITS_H_

#include <VEGA/Base/system.h>

#include "VEGA/Misc/globals.h"

#ifdef __GNUC__
#pragma interface
#endif

extern "C++"
{

class Bits
{
public:

    static int countByTable(UInt8);
    static int countByTable(UInt16);
    static int countByTable(UInt32);

    static UInt8  reverseByTable(UInt8);
    static UInt16 reverseByTable(UInt16);
    static UInt32 reverseByTable(UInt32);

    static int countTricky(UInt32);

    static int countRegular(UInt8);
    static int countRegular(UInt16);
    static int countRegular(UInt32);

    static UInt8  reverseRegular(UInt8);
    static UInt16 reverseRegular(UInt16);
    static UInt32 reverseRegular(UInt32);

    static const UInt8 reverseTable[];
    static const UInt8 countTable[];

#ifdef LONGLONG
    static int countByTable(UInt64);
    static UInt64 reverseByTable(UInt64);
    static int countRegular(UInt64);
    static UInt64 reverseRegular(UInt64);
#endif
};

} // extern "C++"

#ifndef BITS_NO_INLINE

#define INLINE_GLOBAL COMPILER_INLINE_GLOBAL
#define INLINE_MEMBER COMPILER_INLINE_MEMBER

#include "VEGA/Misc/bits.ipp"

#undef INLINE_GLOBAL
#undef INLINE_MEMBER

#endif

#endif // _MISC_BITS_H_
// ===========================================================================
