// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       MiscGlobals
//  TYPE:       c++ code
//  PROJECT:    VEGA Misc Library
//  CONTENT:    debug support
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:46:16  rft     last modification
//  23-feb-94 10:53:38  rft     created
// ===========================================================================

#include "VEGA/Misc/globals.h"

#define LIBRARY_ERRORHANDLER(symbol) \
	ErrorHandler symbol(#symbol)

#define LIBRARY_TRACER(symbol,value,parent) \
	Tracer symbol(#symbol,value,parent)

#define LIBRARY_ROOT_TRACER(symbol,value) \
	Tracer symbol(#symbol,value)


LIBRARY_ERRORHANDLER(Crc32_errors);
LIBRARY_ERRORHANDLER(DynamicArray_errors);

LIBRARY_ROOT_TRACER(VEGA_Misc_tracers, Tracer::off);

LIBRARY_TRACER(Crc32_constructors,      Tracer::on,	VEGA_Misc_tracers);

// ===========================================================================
