// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       MiscGlobals
//  TYPE:       c++ header
//  PROJECT:    VEGA Misc Library
//  CONTENT:    global variables
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:46:16  rft     last modification
//  23-feb-94 10:53:38  rft     created
// ===========================================================================
//  MANUAL:
//
//  NAME
//      MiscGlobals:
//
//  DESCRIPTION
//      This module contains all error handlers and tracers used in the
//      VEGA Misc Library.
//
//  SEE ALSO
//      VEGA, MiscLibrary
// ===========================================================================
#ifndef _MISC_GLOBALS_H_
#define _MISC_GLOBALS_H_

#include <VEGA/Base/compile.h>
#include <VEGA/Base/error.h>
#include <VEGA/Base/tracer.h>

#include "VEGA/Misc/defines.h"

extern "C++"
{

extern ErrorHandler Crc32_errors;
extern ErrorHandler DynamicArray_errors;

#ifdef WITH_TRACERS

extern Tracer VEGA_Misc_tracers;

extern Tracer Crc32_constructors;

#endif // WITH_TRACERS

} // extern "C++"

#endif // _MISC_GLOBALS_H_
// ===========================================================================
