// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       OutTools
//  TYPE:       c++ inline
//  PROJECT:    VEGA Misc Library
//  CONTENT:    tools for generating stream output
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:46:16  rft     last modification
//  16-Mar-93           rft     created
// ===========================================================================

extern "C++"
{

INLINE_MEMBER OutProgress::OutProgress(long newRange)
:
    range(newRange),
    nowPercent(0),
    outPercent(-1)
{
}

INLINE_MEMBER OutProgress & OutProgress::set(long newValue)
{
    nowPercent = (newValue * 100) / range;
    return *this;
}

INLINE_GLOBAL ostream & operator<<(ostream & s, OutProgress & p)
{
    if (p.outPercent != p.nowPercent)
    {
	p.outPercent = p.nowPercent;
	s << setw(3) << p.outPercent << '%'
	     << "\010\010\010\010" << flush;
    }
    return s;
}

} // extern "C++"

// ===========================================================================
