// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       Tools
//  TYPE:       c++ header
//  PROJECT:    VEGA Misc Library
//  CONTENT:    tools for integer and pointer system data types
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 13:46:16  rft     last modification
//  16-Mar-93           rft     created
// ===========================================================================
//  MANUAL:
//
//  DESCRIPTION
//      This module contains tool functions working on the system data types.
//
//  SEE ALSO
//      VEGA, MiscLibrary
// ===========================================================================
#ifndef _MISC_TOOLS_H_
#define _MISC_TOOLS_H_

#include "VEGA/Misc/globals.h"

extern "C++"
{

// ==================================================== tools for system types

short  abs(short  a);

long   abs(long   a);

short  max(short  a, short  b);
int    max(int    a, int    b);
long   max(long   a, long   b);

short  min(short  a, short  b);
int    min(int    a, int    b);
long   min(long   a, long   b);

short  clamp(short a, short lo, short hi);
int    clamp(int   a, int   lo, int   hi);
long   clamp(long  a, long  lo, long  hi);

} // extern "C++"

#ifndef TOOLS_NO_INLINE

#define INLINE_GLOBAL COMPILER_INLINE_GLOBAL
#define INLINE_MEMBER COMPILER_INLINE_MEMBER

#include "VEGA/Misc/tools.ipp"

#undef INLINE_GLOBAL
#undef INLINE_MEMBER

#endif

#endif // _MISC_TOOLS_H_
// ===========================================================================
