// ===========================================================================
//  Copyright 1994 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       testCrc32
//  TYPE:       c++ code
//  PROJECT:    VEGA Misc Library
//  CONTENT:    test module Crc32
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rft     Robert F. Tobler
// ===========================================================================
//  HISTORY:
//
//  30-sep-94 14:04:35  rft     last modification
//  30-sep-94 14:04:35  rft     created
// ===========================================================================

#include <VEGA/Base/test.h>
#include <VEGA/Misc/crc32.h>

void testCrc32(TestSuite & suite)
{
    TestModule module(suite, "Crc32");
    
    {
        Test test(module, "crc", Test::passed);
	
	UInt8 array[260];
	
	for (int i = 0; i < 256; i++)
	{
	    array[i] = i;
	}
	
	for (i = 256; i < 260; i++)
	{
	    array[i] = 0;
	}
		
	Crc32 crc;
	
	crc.update(array,256);
	crc.write(array + 256);
	
	if (Crc32::of(array,260) != Crc32::ok)
	    test.setFailed();
		
	for (int bit = 1; bit < 256; bit <<= 1)
	    for (i = 0; i < 260; i++)
	    {
		array[i] ^= bit;
		if (Crc32::of(array,260) == Crc32::ok)
		    test.setFailed();
		array[i] ^= bit;
	    }
    }
}