#!/usr/local/bin/gnumake -s
## ===========================================================================
##  no copyright
## ===========================================================================
##  NAME:       Makefile
##  TYPE:       Makefile
##  PROJECT:    VEGA Misc Library
##  CONTENT:    Makefile for the VEGA Misc Library
##  VERSION:    1.0.0
## ===========================================================================
##  AUTHORS:    rft     Robert F. Tobler
## ===========================================================================
##  HISTORY:
##
##  30-sep-94 14:04:35  rft     last modification
##  07-Aug-93           rft     created
## ===========================================================================
##  DESCRIPTION:
##
##  This makefile uses the Advanced Makefile System (AMS). In AMS_DIR
##  (../../../AMS) you will find a template makefile for AMS projects.
## ===========================================================================
include $(AMS_DIR)/config/$(AMS_CONFIG)
## ===========================================================================
VEGA_LIB_DIR =		$(VEGA_DIR)/lib
VEGA_INCLUDE_DIR =	$(VEGA_DIR)/include
VEGA_LIBRARY_DIR =	$(VEGA_LIB_DIR)/$(MODE_DIR)
## -------------------------------------------------------------- project name
PROJECT =               VEGA Misc Library Test
## ------------------------------------------------ directories of subprojects
SUBPROJECTS =		../src
## ------------------------------------------------------------ c++ files (.C)
CC_FILES =		LibraryTest.C \
			testCrc32.C \
			testTTools.C
## -------------------------------------------------------- user defined flags
USER_CC_O_FLAGS =	-I$(VEGA_INCLUDE_DIR)
USER_O_FLAGS =		-L$(VEGA_LIBRARY_DIR)
## ---------------------------------------------------- user defined libraries
USER_O_LIBS =		-lVEGAMisc \
			-lVEGABase
## ------------------------------------------------- user defined dependencies
USER_O_DEPENDS =        $(VEGA_LIBRARY_DIR)/libVEGAMisc$(LIB_EXT) \
			$(VEGA_LIBRARY_DIR)/libVEGABase$(LIB_EXT)
## ------------------------------------------------------ output specification
OUT_DIR =               ..
OUT_NAME =              LibraryTest
OUT_EXT =
## ===========================================================================
include $(AMS_DIR)/general
## ===========================================================================
